## org.eclipse.xsd.impl
Class XSDMinFacetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDFacetImpl
                              org.eclipse.xsd.impl.XSDConstrainingFacetImpl
                                  org.eclipse.xsd.impl.XSDFixedFacetImpl
                                      org.eclipse.xsd.impl.XSDMinFacetImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet, XSDFixedFacet, XSDMinFacet

Direct Known Subclasses:
  XSDMinExclusiveFacetImpl, XSDMinInclusiveFacetImpl

    public abstract class XSDMinFacetImpl

extends XSDFixedFacetImpl
implements XSDMinFacet

An implementation of the model object 'Min Facet'.

The following features are implemented:

- `Value`
- `Inclusive`
- `Exclusive`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `EXCLUSIVE_EDEFAULT` The default value of the '`Exclusive`' attribute
`protected static boolean` `INCLUSIVE_EDEFAULT` The default value of the '`Inclusive`' attribute
`protected java.lang.Object` `value` The cached value of the '`Value`' attribute
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.xsd.impl.XSDFixedFacetImpl
`FIXED_EDEFAULT, FIXED_EFLAG, FIXED_ESETFLAG`

Fields inherited from class org.eclipse.xsd.impl.XSDFacetImpl
`annotation, EFFECTIVE_VALUE_EDEFAULT, FACET_NAME_EDEFAULT, LEXICAL_VALUE_EDEFAULT, lexicalValue`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDMinFacetImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.Boolean` `getExclusive()`
`java.lang.Boolean` `getInclusive()`
`java.lang.Object` `getValue()`
`boolean` `isExclusive()` Returns the value of the 'Exclusive' attribute
`boolean` `isInclusive()` Returns the value of the 'Inclusive' attribute
`protected boolean` `restrictionMatch(XSDFixedFacet xsdFixedFacet)`
`void` `setValue(java.lang.Object newValue)`
`java.lang.String` `toString()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.
`protected void` `validateRestriction(XSDFixedFacet xsdFixedFacet)`
`protected void` `validateValue()`

Methods inherited from class org.eclipse.xsd.impl.XSDFixedFacetImpl
`changeAttribute, createFixedFacet, isFixed, isSetFixed, reconcileAttributes, setFixed, unsetFixed`

Methods inherited from class org.eclipse.xsd.impl.XSDConstrainingFacetImpl
`createConstrainingFacet, isConstraintSatisfied`

Methods inherited from class org.eclipse.xsd.impl.XSDFacetImpl
`basicSetAnnotation, eInverseRemove, getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, handleReconciliation, handleUnreconciledElement, setAnnotation, setLexicalValue`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponent, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDFixedFacet
`isFixed, isSetFixed, setFixed, unsetFixed`

Methods inherited from interface org.eclipse.xsd.XSDConstrainingFacet
`isConstraintSatisfied`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### value

    protected java.lang.Object value

  The cached value of the '`Value`' attribute.

  See Also:
    `getValue()`

### INCLUSIVE_EDEFAULT

    protected static final boolean INCLUSIVE_EDEFAULT

  The default value of the '`Inclusive`' attribute.

  See Also:
    `isInclusive()`, Constant Field Values

### EXCLUSIVE_EDEFAULT

    protected static final boolean EXCLUSIVE_EDEFAULT

  The default value of the '`Exclusive`' attribute.

  See Also:
    `isExclusive()`, Constant Field Values

Constructor Detail

### XSDMinFacetImpl

    protected XSDMinFacetImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDFixedFacetImpl`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `XSDMinFacet`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `XSDMinFacet.setValue(Object)`, `XSDPackage.getXSDMinFacet_Value()`

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `XSDMinFacet`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `XSDMinFacet.getValue()`

### getInclusive

    public java.lang.Boolean getInclusive()

### isInclusive

    public boolean isInclusive()

  Description copied from interface: `XSDMinFacet`
  Returns the value of the 'Inclusive' attribute.

  The value is `true` if this is a `XSDMinInclusiveFacet`.

  Specified by:
    `isInclusive` in interface `XSDMinFacet`
  Returns:
    the value of the 'Inclusive' attribute.
  See Also:
    `XSDPackage.getXSDMinFacet_Inclusive()`

### getExclusive

    public java.lang.Boolean getExclusive()

### isExclusive

    public boolean isExclusive()

  Description copied from interface: `XSDMinFacet`
  Returns the value of the 'Exclusive' attribute.

  Specified by:
    `isExclusive` in interface `XSDMinFacet`
  Returns:
    the value of the 'Exclusive' attribute.
  See Also:
    `XSDPackage.getXSDMinFacet_Exclusive()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDFixedFacetImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDFixedFacetImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDFixedFacetImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDFixedFacetImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDFixedFacetImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDFixedFacetImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### validateValue

    protected void validateValue()

  Overrides:
    `validateValue` in class `XSDFixedFacetImpl`

### restrictionMatch

    protected boolean restrictionMatch(XSDFixedFacet xsdFixedFacet)

  Overrides:
    `restrictionMatch` in class `XSDFixedFacetImpl`

### validateRestriction

    protected void validateRestriction(XSDFixedFacet xsdFixedFacet)

  Overrides:
    `validateRestriction` in class `XSDFixedFacetImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.